Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Default_POA_Factory Class Reference

`#include <Notify_Default_POA_Factory.h>`

Inheritance diagram for TAO_Notify_Default_POA_Factory

[legend]
Collaboration diagram for TAO_Notify_Default_POA_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Default_POA_Factory (void)
| ~TAO_Notify_Default_POA_Factory ()
virtual int | init (int argc, char* argv[])
virtual int | fini (void)
PortableServer::POA_ptr | create_event_channel_POA (PortableServer::POA_ptr parent_poa, CORBA::Environment &ACE_TRY_ENV)
PortableServer::POA_ptr | create_supplier_admin_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id, CORBA::Environment &ACE_TRY_ENV)
PortableServer::POA_ptr | create_consumer_admin_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id, CORBA::Environment &ACE_TRY_ENV)
PortableServer::POA_ptr | create_proxy_pushconsumer_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id, CORBA::Environment &ACE_TRY_ENV)
PortableServer::POA_ptr | create_proxy_pushsupplier_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id, CORBA::Environment &ACE_TRY_ENV)
CORBA::Object_ptr | activate_object_with_id (CORBA::Long id, PortableServer::POA_ptr poa,PortableServer::Servant servant, CORBA::Environment &ACE_TRY_ENV)
CORBA::Object_ptr | activate_object (PortableServer::POA_ptr poa,PortableServer::Servant servant, CORBA::Environment &ACE_TRY_ENV)
CORBA::Object_ptr | servant_to_reference (PortableServer::POA_ptr poa,PortableServer::Servant servant, CORBA::Environment &ACE_TRY_ENV)
CORBA::Object_ptr | id_to_reference (CORBA::Long id, PortableServer::POA_ptr poa, CORBA::Environment &ACE_TRY_ENV)
void | destroy_POA (PortableServer::POA_ptr poa, CORBA::Environment &ACE_TRY_ENV)
void | deactivate_object (CORBA::Object_ptr obj, PortableServer::POA_ptr poa, CORBA::Environment &ACE_TRY_ENV)
void | deactivate_object (PortableServer::Servant servant, PortableServer::POA_ptr, CORBA::Environment &ACE_TRY_ENV)
## Static Public Methods
int | init_svc (void)
## Protected Methods
PortableServer::ObjectId* | long_to_ObjectId (const CORBA::Long id)
PortableServer::POA_ptr | create_generic_childPOA_i (const char* child_poa_name, PortableServer::POA_ptr parent_poa, CORBA::Environment &ACE_TRY_ENV)

## Constructor & Destructor Documentation

TAO_Notify_Default_POA_Factory::TAO_Notify_Default_POA_Factory ( | void )

TAO_Notify_Default_POA_Factory::~TAO_Notify_Default_POA_Factory ( | )

## Member Function Documentation

CORBA::Object_ptr TAO_Notify_Default_POA_Factory::activate_object ( | PortableServer::POA_ptr poa,
| PortableServer::Servant servant,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

CORBA::Object_ptr TAO_Notify_Default_POA_Factory::activate_object_with_id ( | CORBA::Long id,
| PortableServer::POA_ptr poa,
| PortableServer::Servant servant,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_consumer_admin_POA ( | PortableServer::POA_ptr parent_poa,
| CORBA::Long new_poa_id,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_event_channel_POA ( | PortableServer::POA_ptr parent_poa,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_generic_childPOA_i ( | const char * child_poa_name,
| PortableServer::POA_ptr poa,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_proxy_pushconsumer_POA ( | PortableServer::POA_ptr parent_poa,
| CORBA::Long new_poa_id,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_proxy_pushsupplier_POA ( | PortableServer::POA_ptr parent_poa,
| CORBA::Long new_poa_id,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_supplier_admin_POA ( | PortableServer::POA_ptr parent_poa,
| CORBA::Long new_poa_id,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

void TAO_Notify_Default_POA_Factory::deactivate_object ( | PortableServer::Servant servant,
| PortableServer::POA_ptr poa,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

void TAO_Notify_Default_POA_Factory::deactivate_object ( | CORBA::Object_ptr obj,
| PortableServer::POA_ptr poa,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

void TAO_Notify_Default_POA_Factory::destroy_POA ( | PortableServer::POA_ptr poa,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

int TAO_Notify_Default_POA_Factory::fini ( | void )`[virtual]`

| Reimplemented from ACE_Shared_Object.

CORBA::Object_ptr TAO_Notify_Default_POA_Factory::id_to_reference ( | CORBA::Long id,
| PortableServer::POA_ptr poa,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

int TAO_Notify_Default_POA_Factory::init ( | int argc,
| char * argv[] )`[virtual]`

int TAO_Notify_Default_POA_Factory::init_svc ( | void )`[static]`

PortableServer::ObjectId * TAO_Notify_Default_POA_Factory::long_to_ObjectId ( | const CORBA::Long id )`[protected]`

CORBA::Object_ptr TAO_Notify_Default_POA_Factory::servant_to_reference ( | PortableServer::POA_ptr poa,
| PortableServer::Servant servant,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_POA_Factory.

The documentation for this class was generated from the following files:

- Notify_Default_POA_Factory.h
- Notify_Default_POA_Factory.cpp